Firefox et Safari subissent une faille ‘mots de passe’

Sécurité

L’usage des deux navigateurs sur fond de gestionnaire de mots de passe et de
JavaScript suscite des craintes de la part des experts en sécurité IT

Les dernières versions de Firefox et de Safari sont affectées par une faille sur le gestionnaire des mots de passe qui permettrait à certains sites Web pirates d’accéder aux noms d’utilisateur et aux mots de passe stockés.

Un message a été publié sur la liste de diffusion Full Disclosure(via Seclists.org) pour informer de la présence d’un risque de sécurité pour les utilisateurs dont le navigateur est configuré pour mémoriser les mots de passe et sur lequel JavaScript est activé.

Mozilla a corrigé une faille CSS (Cross-Site Scripting) similaire sur son navigateur Firefox en novembre dernier, mais cette dernière était nettement plus sérieuse puisqu’elle ne nécessitait pas l’activation de JavaScript.

Heise Security a effectué une démonstration de la vulnérabilité sur son site pour permettre aux utilisateurs d’identifier les éventuels risques d’attaque.

Mais certains développeurs et observateurs estiment qu’elle ne constitue pas en soi une réelle vulnérabilité dans le navigateur, dans la mesure où cela suppose qu’un pirate propage du code malveillant sur le serveur Web.

En parvenant à placer du code de script sur un serveur, un pirate pourrait dans tous les cas manipuler les pages et obtenir d’autres moyens de dérober les données d’accès de l’utilisateur.

Avant la publication d’un correctif, les utilisateurs sont invités à désactiver JavaScript sur leur navigateur et à éviter d’utiliser le gestionnaire de mots de passe sur les sites où ils sont autorisés à publier des pages JavaScript.


Lire la biographie de l´auteur  Masquer la biographie de l´auteur